subroutine load_BasicStateFieldData( &
  & ncFilePath, ih_RhoBasic, ih_PressBasic &
  & )

  use dc_types, only: &
    & STRING

  use gtool_history, only: &
    & HistoryGet

  use Field_Grid1D_pointer_mod, only: &
    & Field_Grid1D_pointer

  use Field_Grid1D_Manager, only: &
    & Field_Grid1D_Manager, &
    & get_field1D_name

  character(*), intent(in) :: ncFilePath
  integer, intent(in) :: ih_RhoBasic(12)
  integer, intent(in) :: ih_PressBasic(12)

  type(Field_Grid1D_pointer) :: h_RhoBasic
  type(Field_Grid1D_pointer) :: h_PressBasic

  h_RhoBasic = transfer(ih_RhoBasic, h_RhoBasic)
  h_PressBasic = transfer(ih_PressBasic, h_PressBasic)

  write(*,*) 'load the basic state of fields from ' // trim(ncFilePath) // '...'

  call HistoryGet( &
    & trim(ncFilePath), &
    & get_field1D_name(h_RhoBasic%ptr), &
    & h_RhoBasic%ptr%val(:) &
    & )

  call HistoryGet( &
    & trim(ncFilePath), &
    & get_field1D_name(h_PressBasic%ptr), &
    & h_PressBasic%ptr%val(:) &
    & )

end subroutine load_BasicStateFieldData
